= flash_messages
= form_for([current_user,@album], local: true, html: { multipart: true }) do |form|
  .row.form-group
    .col-6
      = form.label :title
        | Title
        = form.text_field :title, autofocus: true, placeholder: "#{t('.title')}", class: "form-control"
      .row
        .col-6
          = form.label :mode
            | Mode
            = select(:album, :mode, ['public','private'],{}, { class: "form-control"})
    .col-6
      = form.label :description
        | Description
        = form.text_area :description, autofocus: true, placeholder: "#{t('.description')}", class: "form-control"
  .row.form-group.p-4
    #image-preview.col-3.upload-btn
      = form.label :photos, "+", class: "label-upload"
      = album_upload_file(album)
    - unless album.id?
      .col-6
        = image_tag " ", class: "hidden image-to-upload"
  - if album.photos.exists?
    = hidden_field_tag "delete_ids[]"
    .row
      - album.photos.each do |photo|
        span.preview
          = image_tag photo.image.url(:medium)
          span.remove_img_preview[data-id="#{photo.id}"]
  .row.form-group
    .col-8.mx-auto
      .row
        = display_album_button(album)
